#
# spec file for package frisk (Version 1.2 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         frisk
Copyright:    GPL
Group:        X11/Games/Strategy 
Autoreqprov:  on
Version:      1.2 
Release:      209
Summary:      X Window System Risk
Source:       http://cvs.morphy.iki.fi/xfrisk/XFrisk-%{version}.tar.gz
Patch:        frisk-%{version}-destdir.dif
Patch1:       frisk-ia64.dif
URL:          http://cvs.morphy.iki.fi/xfrisk/
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
Documentation: /usr/share/doc/packages/frisk, as well as extensive
online help.

Authors:
--------
    Elan Feingold <feingold@zko.dec.com>

SuSE series: fun

%prep
%setup -n XFrisk
%patch -p1
%patch1

%build
make BINDIR=/usr/X11R6/bin LIBDIR=/usr/lib/frisk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{X11R6/{bin/,lib/X11/app-defaults/},lib/frisk}
install XFrisk.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XFrisk
make install BINDIR=/usr/X11R6/bin LIBDIR=/usr/lib/frisk DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS ChangeLog FAQ README.NEW TODO
%config /usr/X11R6/lib/X11/app-defaults/XFrisk
/usr/X11R6/bin/*
/usr/lib/frisk/

%changelog -n frisk
* Fri May 25 2001 - pblaha@suse.cz
- fix cast warning on ia64
* Mon Jun 05 2000 - bubnikv@suse.cz
- added URLs
* Wed May 24 2000 - bubnikv@suse.cz
- new version (1.2)
- filled Group: tag
* Fri Mar 24 2000 - bubnikv@suse.cz
-  added buildroot
* Tue Oct 19 1999 - freitag@suse.de
- new version (1.00) - frisk changed to xfrisk
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Feb 06 1997 - rj@suse.de
- new version (0.99b4)
- now working with ELF (ZZZ -> FUN)
